/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */
/* générale */
ul,li,p,input,textarea {
	font-size:clamp(16px,1.4vw,21px) !important;
	font-weight:300 !important;
}
strong,b {
	font-weight:700 !important;
}
a { 
	color:var(--e-global-color-primary);
}



/* HP*/
/* hero */
.hero {
	aspect-ratio: 2 / 1;
}
.hero * {
	background-repeat: no-repeat !important;
}
.logo  {
	aspect-ratio: 65 / 52 !important;
	width:150px !important;
	height:auto !important;
	margin:20px;
}

/* contenu */
.content {
	padding: 100px 50px;
}
.content.hp {
	padding: 50px 50px;
}
@media screen and (max-width: 640px) {}
.content div,
.content ul,
.content li,
.content p{
	font-size:clamp(16px,1.4vw,27px) !important;
	color:var(--e-global-color-secondary) !important;
}
.content h1 {
	font-weight:300 !important;
	font-size:clamp(32px,10vw,80px) !important;
	color:var(--e-global-color-primary) !important;
}
.content h2 {
	font-size:clamp(27px,3vw,60px) !important;
}
.content h3 {
	font-size:clamp(21px,2.1vw,42px) !important;
}
.content h4 {
	font-size:clamp(18px,1.8vw,36px) !important;
}

/* ligne du temps */
.date{
	width: 150px;
	border-right:1px solid #fff;
	margin-right:25px;
}
.date  *{
	color:#fff;
}
.date:after{
	background-color:#ffffff;
	width:10px;
	height:10px;
	border-radius:50%;
}
.etape {
	width:100%;
}



/* images */
.image {
	aspect-ratio:2/1;
}
.white,
.white *{
	color:#ffffff !important;
}


/* header */
.btnfocus {
	background-color:var(--e-global-color-434a91d);
	border-radius:10px;
	padding:20px;
	color:var(--e-global-color-primary);
	white-space:nowrap;
}
.btnfocus .elementor-kit-6 h5,
.btnfocus  *{
	color:var(--e-global-color-primary) !important;
	white-space:nowrap;
	font-size:1.8vw;
}
.btnfocus:hover {
	background-color:var(--e-global-color-primary);
	color:var(--e-global-color-9cfd423);
}
.btnfocus:hover .elementor-kit-6 h5 *,
.btnfocus:hover * {
	color:var(--e-global-color-9cfd423) !important;
}

/* footer */
#footer a {
	font-size:clamp(16px,1.4vw,27px) !important;
}
#footer #menufooter a,
#footer #menufooter *,
#footer .small,
#footer .small * {
	font-size:clamp(12px,1vw,18px) !important;
}
#footer a:hover {
   color:var( --e-global-color-accent );
}
#footer #sign *{
	font-size:clamp(12px,1vw,18px) !important;
}

.tuile:hover * {color:#fff;}
.tuile .elementor-widget-container {
	color:var(--e-global-color-secondary) !important;
}
.cta:hover{
	transition: all .5s ease-in-out;
}

.cta:hover * {
	color: #fff !important;
	transition: all .5s ease-in-out;
}
.cta:hover svg path {
	fill: #fff !important;
}
.cta svg {
	margin-top:5px;
}
.image {
	aspect-ratio:4/2;
}


/* qtile*/
*[qtitle]{
	position: relative;
	cursor:help;
}
*[qtitle]:hover::before {
	content:' ';
	display: flex;
	position: absolute;
	left:50%;
	translate:-50% -100%;
	width: 20px;
	height: 20px;
	rotate: -45deg;
	bottom: 0;
	background: white;
	z-index:2002;
	top:-3px;
}
*[qtitle]:hover::after {
	content: attr(qtitle);
	display: flex;
	position: absolute;
	justify-content: center;
	left:50%;
	min-width: 150px;
	top:-10px;
	translate:-50% -100%;
	border-radius: 10px;
	padding: 10px;
	color:var(--e-global-color-secondary);
	background: white;
	text-align: center!important;
	box-shadow: 0 20px 20px rgba(0,0,0,.3);
	z-index:2001;
}
